Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: error when try to install cpg1.6.x by using cpg_installer_stub  (Read 2288 times)

0 Members and 1 Guest are viewing this topic.

axial63

  • Coppermine newbie
  • Country: nl
  • Offline Offline
  • Gender: Male
  • Posts: 12
error when try to install cpg1.6.x by using cpg_installer_stub
« on: December 21, 2018, 07:18:56 pm »

Hi,

Everytime i try de installer_stub I get the following message:
Quote
Warning: fopen(): open_basedir restriction in effect. File(/tmp/cpg_upd_1545413514.zip) is not within the allowed path(s): (/home/sites/site48381/) in /home/sites/site48381/subdomains/fotobase/cpg_installer_stub.php on line 219

Warning: fopen(/tmp/cpg_upd_1545413514.zip): failed to open stream: Operation not permitted in /home/sites/site48381/subdomains/fotobase/cpg_installer_stub.php on line 219

Warning: fwrite() expects parameter 1 to be resource, boolean given in /home/sites/site48381/subdomains/fotobase/cpg_installer_stub.php on line 220
Could not save package file. Operation aborted.

Install shout be easy, following the guidlines: install the install_stub in the map where you like to new install (or update) Copermine.

In this case i would like to install in a subdomain (fotobase) and after activating the installer_stub i get the choice:
Quote
install location:
- update / upgrade current CPG installation
- new installation in current directory
- new installation in separate map

availlable install packages:
- cpg release 1.6.04 (current version)
- cpg developer release 1.6.03
- get the latest package
whithin 10 seconds the error accurs…

The same when i try to update current install

This leads to an installer_log.txt that says:
Quote
GETTING: 1.6.04
and further no info..??!

The stub seems to search for a .zip file that is not in my domain. (logic, there is no path outside the domain only a search to a /tmp map

Anybody knows a work arround?
Please?
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 1292
Re: error when try to install cpg1.6.x by using cpg_installer_stub
« Reply #1 on: December 21, 2018, 11:51:07 pm »

Your site has too many restrictions and different file ownerships to install CPG 1.6.x using this method. You will need to install manually.
http://coppermine-gallery.net/docs/curr/en/upgrading.htm#upgrade_any
Logged
Pages: [1]   Go Up
 

Page created in 0.028 seconds with 20 queries.